PDA

View Full Version : PowerPC G5 question




pfisher
Aug 27, 2010, 08:57 PM
I have a PowerPC G5 which has 2GB RAM and is Dual 1.8ghz computer. I don't have the restore DVD's for this computer. I would like to install OS 10.5 but I don't think this model is made for it. How would I find out if this particular model is compatible with OS 10.5?

How do I get the restore DVD's for this computer?

thanks

Phil



MrCheeto
Aug 27, 2010, 09:02 PM
It can run every version up to and including version 10.5.8, Leopard.

VanneDC
Aug 27, 2010, 11:33 PM
yeah mate, its all GO! the only thing it wont run is Windows and Snow Leopard.

iThinkergoiMac
Aug 28, 2010, 07:47 AM
If it's a G5, it'll run Leopard. Simple as that.

Also, you can contact Apple for the actual system restore discs. They'll send them to you for a fee, though I can't remember what the amount is...

FourCandles
Aug 28, 2010, 07:49 AM
Your Mac is well above the minimum system requirements for 10.5 Leopard, as the previous posters have said. You'll need to track down a used copy. Make sure it is a full retail copy and NOT the grey restore disks from another Mac.

You won't need your own original install disks for your G5 in order to install Leopard from a retail disk. The new disk will contain everything you need.

iThinkergoiMac
Aug 28, 2010, 07:53 AM
You won't need your own original install disks for your G5 in order to install Leopard from a retail disk. The new disk will contain everything you need.

Unless, for example, he wants the apps that came with the computer as well (most notably, iLife). The Leopard retail disc will not include those.

FourCandles
Aug 28, 2010, 07:54 AM
Unless, for example, he wants the apps that came with the computer as well (most notably, iLife). The Leopard retail disk will not include those.

Very true.